Subject: Proposals for EXPLAIN: rename ANALYZE to EXECUTE and extend VERBOSE

From: Nikolay Samokhvalov <[email-masked]>
Date: Tue, 5 Nov 2024 10:02:33 -0800

hi, I have a proposal, resulted from numerous communications with various
folks, both very experienced and new Postgres users:

1) EXPLAIN ANALYZE Is sometimes very confusing (because there is ANALYZE).
Let's rename it to EXPLAIN EXECUTE?

2) VERBOSE doesn't include BUFFERS, and doesn't include SETTINGS; it might
be also confusing sometimes. Let's include them so VERBOSE would be really
verbose?

3) small thing about grammar: allow omitting parentheses, so EXPLAIN
EXECUTE VERBOSE would work.

if both changes are done, we could use EXPLAIN (EXECUTE, VERBOSE) to be
able to collect data in a great way for analysis.

have a really nice week,
Nik